astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- SIP

# SIP

class `astropy.modeling.polynomial.``SIP`

  Bases: `astropy.modeling.Model`

  Simple Imaging Polynomial (SIP) model.

  The SIP convention is used to represent distortions in FITS image headers. See [R11] for a description of the SIP convention.

  Parameters:

  crpix : list or ndarray of length(2)

  > CRPIX values

  a_order : int

  > SIP polynomial order for first axis

  b_order : int

  > SIP order for second axis

  a_coeff : dict

  > SIP coefficients for first axis

  b_coeff : dict

  > SIP coefficients for the second axis

  ap_order : int

  > order for the inverse transformation (AP coefficients)

  bp_order : int

  > order for the inverse transformation (BP coefficients)

  ap_coeff : dict

  > coefficients for the inverse transform

  bp_coeff : dict

  > coefficients for the inverse transform

  References

  [R11] | (1, 2) David Shupe, et al, ADASS, ASP Conference Series, Vol. 347, 2005

  Attributes Summary

  `inputs` |
  `outputs` |

  Methods Summary

  `__call__`(u, v[, model_set_axis]) | Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.
  `eval`(*args, **kwargs) | Deprecated since version 1.0.
  `evaluate`(x, y) | Evaluate the model on some input variables.

  Attributes Documentation

  `inputs` = (u'u', u'v')
  `outputs` = (u'x', u'y')

  Methods Documentation

  `__call__`(u, v, model_set_axis=None)

    Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.

  `eval`(*args, **kwargs)

    Deprecated since version 1.0: The eval function is deprecated and may be removed in a future version. Use SIP.evaluate instead.

    Evaluate the model on some input variables.

  `evaluate`(x, y)

    Evaluate the model on some input variables.